/*
* content-spec
* device
  * deviceID
  * operationalStatus
  * metaData
* part
  * partTypeID
  * partID
  * result
  * code
  * metaData
* measurements
  * ts
  * result
  * code
  * series
    * $_time
    * <variable>
  * limits
    * <variable>
      * upperError
      * lowerError
      * upperWarn
      * lowerWarn
*/

class Device {
  private deviceID : string
  private operationalStatus: string
  private metaData: object
}

enum Result {
  NOK,
  OK,
  UNKNOWN
}

class Part {
  private partTypeID : string
  private partID : string
  private result : Result 
  private code : string
  private metaData : object
}

class Measurement {
  private ts : string
  private result : Result
  private code : string
  
}
class MeasurementPayload {
  private contentSpec : string = 'urn:spec://eclipse.org/unide/measurement-message#v2'
  private device : Device
  private part : Part
  private measurements : Measurement[]
}